# AUTOGENERATED! DO NOT EDIT! File to edit: nbs/constants.ipynb (unless otherwise specified).

__all__ = ['URL', 'URLHM', 'URLHM2', 'ACAO_DESCRIPTION', 'ACAO_TRACKER', 'FIELDS', 'CUSTOM_IDS', 'SITUACAO',
           'DICT_FIELDS', 'JSON_FIELDS', 'CLASSE', 'TIPO', 'STATUS', 'SERVICOS', 'PF', 'PROCEDIMENTOS', 'ID2FIELD',
           'HM2PROD', 'FIELD2ID', 'ESTADOS']

# Cell
URL = "https://sistemas.anatel.gov.br/fiscaliza/"
URLHM = "https://sistemashm.anatel.gov.br/fiscaliza"
URLHM2 = "https://sistemasnethm/fiscaliza"
ACAO_DESCRIPTION = 54
ACAO_TRACKER = 2

# Cell
FIELDS = ["id", "subject", "status", "priority", "start_date", "due_date"]
CUSTOM_IDS = [
    2,
    5,
    22,
    25,
    26,
    30,
    31,
    57,
    69,
    70,
    71,
    89,
    91,
    92,
    93,
    94,
    111,
    112,
    151,
    154,
    156,
    157,
    158,
    159,
    170,
    171,
    213,
    280,
    422,
    450,
    463,
    534,
    535,
    537,
    658,
    659,
    660
]

SITUACAO = {
    "Rascunho": 1,
    "Aguardando Execução": 11,
    "Em andamento": 13,
    "Relatando": 14,
    "Relatada": 15,
}

#'Cancelada': 19}

DICT_FIELDS = {
    "Classe da Inspeção": str,
    "Tipo de inspeção": str,
    "Descrição da Inspeção": str,
    "Fiscal Responsável": str,
    "Fiscais": list,
    "Html": str,
    "Gerar Relatório": int,
    "Frequência Inicial": (int, float),
    "Unidade da Frequência Inicial": str,
    "Frequência Final": (int, float),
    "Unidade da Frequência Final": str,
    "Data de Início": str,
    "Data Limite": str,
    "UF/Município": (str, list),
    "Serviços da Inspeção": (str, list),
    "Qnt. de emissões na faixa": int,
    "Emissões não autorizadas/desc": int,
    "Horas de Preparação": int,
    "Horas de Deslocamento": int,
    "Horas de Execução": int,
    "Horas de Conclusão": int,
    "Latitude (coordenadas)": float,
    "Longitude (coordenadas)": float,
    "Uso de PF": str,
    "Ação de risco à vida criada?": str,
    "Impossibilidade acesso online?": str,
    "Notes": str,
    "Entidade da Inspeção": str,
    "Agrupamento": int,
    "SAV": str,
    "PCDP": str,
    "Procedimentos": list,
    "Reservar Instrumentos?": str,
    "Reserva de Instrumentos": list,
    "Utilizou algum instrumento?": str
}

JSON_FIELDS = (
    "Classe da Inspeção",
    "Tipo de inspeção",
    "UF/Município",
    "Serviços da Inspeção",
)


CLASSE = ("Tributária", "Técnica", "Serviço")

TIPO = (
    "Outorga - Aspectos não Técnicos",
    "Medição de CEMRF (RNI)",
    "Outorga - Aspectos Técnicos",
    "TV Digital",
    "Uso do Espectro - Monitoração",
    "Uso do Espectro - Não Outorgado",
    "Certificação",
)

STATUS = {
    "Aguardando Execução": (
        "Classe da Inspeção",
        "Tipo de inspeção",
        "Descrição da Inspeção",
        "Fiscal Responsável",
        "Fiscais",
        "Entidade da Inspeção",
    ),
    "Em andamento": ("Html", "Gerar Relatório", 'Reservar Instrumentos?', 'Reserva de Instrumentos'),
    "Relatando": (
        "Frequência Inicial",
        "Frequência Final",
        "Unidade da Frequência Inicial",
        "Unidade da Frequência Final",
    ),
    "Relatada": (
        "UF/Município",
        "Serviços da Inspeção",
        "Qnt. de emissões na faixa",
        "Emissões não autorizadas/desc",
        "Horas de Preparação",
        "Horas de Deslocamento",
        "Horas de Execução",
        "Horas de Conclusão",
        "SAV",
        "PCDP",
        "Procedimentos",
        "Latitude (coordenadas)",
        "Longitude (coordenadas)",
        "Uso de PF",
        "Ação de risco à vida criada?",
        "Impossibilidade acesso online?",
        "Utilizou algum instrumento?"
    )
}


SERVICOS = {
    "230": "230 - COLETIVO - RADIODIFUSÃO SONORA EM FREQÜÊNCIA MODULADA",
    "231": "231 - COLETIVO - RADIODIFUSÃO COMUNITÁRIA",
    "507": "507 - RESTRITO - MÓVEL AERONÁUTICO",
    "019": "019 - RESTRITO - LIMITADO PRIVADO",
    "800": "800 - COLETIVO - RETRANSMISSAO DE T.V.",
    "205": "205 - COLETIVO - RADIODIFUSÃO SONORA EM ONDA MÉDIA",
    "248": "248 - COLETIVO - RADIODIFUSÃO DE SONS E IMAGENS",
    "167": "167 - COLETIVO - ESPECIAL DE TELEVISAO POR ASSINATURA",
    "801": "801 - COLETIVO - RETRANSMISSÃO DE RADIODIFUSÃO DE SONS E IMAGENS - DIGITAL",
    "247": "247 - COLETIVO - GERADORA DE RADIODIFUSÃO DE SONS E IMAGENS - DIGITAL",
    "035": "035 - RESTRITO - ESPC. P/FINS CIENTIF.EXPERIMENTAIS",
    "078": "078 - RESTRITO - SERVIÇO DE RADIOTÁXI PRIVADO",
    "079": "079 - COLETIVO - SERVIÇO DE RADIOTÁXI ESPECIALIZADO",
    "033": "033 - COLETIVO - RADIOENLACES ASSOCIADOS AO SERVIÇO DE RÁDIOTAXI",
    "108": "108 - RESTRITO - SERVIÇO LIMITADO PRIVADO SUBMODALIDADE RADIODETERMINAÇÃO",
    "132": "108 - RESTRITO - ESPECIAL DE RADIOAUTOCINE",
    "017": "017 - RESTRITO - LIMITADO ESPECIALIZADO",
    "011": "011 - RESTRITO - LIMITADO PRIVADO - PRESTAÇÃO A TERCEIROS",
    "124": "124 - RESTRITO - ESPECIAL DE SUPERVISÃO E CONTROLE/USO PRÓPRIO",
    "125": "125 - RESTRITO - ESPECIAL DE SUPERVISÃO E CONTROLE/TERCEIROS",
    "604": "604 - RESTRITO - MÓVEL MARÍTIMO",
    "064": "064 - COLETIVO - MÓVEL MARÍTIMO ESPECIALIZADO",
    "046": "046 - COLETIVO - RADIOENLACES ASSOCIADOS AO SCM",
    "053": "053 - COLETIVO - RADIOENLACES ASSOCIADOS AO SMP",
    "099": "099 - RESTRITO - SERVIÇO DE RADIAÇÃO RESTRITA",
    "012": "012 - RESTRITO - RADIOENLACES ASSOCIADOS AO SERVIÇO MÓVEL PRIVADO",
}

PF = (
    "Utilização integral",
    "Utilização parcial",
    "Não utilização de PF existente",
    "Não se aplica PF - demanda específica",
    "Não se aplica PF - uso apenas de formulários",
    "Não se aplica PF - PF inexistente",
    "Não se aplica PF - necessidade de elaborar PF",
    "Não se aplica PF - outros",
)

PROCEDIMENTOS = (
    "Nenhum",
    "Lacração",
    "Apreensão",
    "Interrupção",
    "Não Cadastrado",
    "Notificado",
    "A Notificar",
    "Liberação/Desinterrupção",
    "Orientação ao Usuário",
    "Comunicado",
    "Deslacrado",
    "Vistoriado",
    "Emissão Termo Violação de Lacre",
    "Apoio a busca e apreensão",
    "Investigação/Pesquisa",
    "Não Lacrado - Impedimento",
    "Não Lacrado - Amparo Judicial",
    "Não Lacrado - Responsável Ausente",
    "Não Lacrado - Local Fechado",
    "Constatação Violação Lacre/Relacrado",
    "Constatação Violação Lacre/Impedimento",
    "Notícia Crime",
    "Monitorado alterado",
    "Constatação Encerramento - Informe",
    "Levantamento de Dados",
    "Análise/coleta de Dados",
    "Monitorado",
    "Não Lacrado - Desativado",
    "Devolução de Produto(s)",
)

ID2FIELD = {
    2: "Tipo de inspeção",
    5: "Ano",
    22: "Descrição da Inspeção",
    25: "Fiscal Responsável",
    26: "Fiscais",
    30: "Entidade da Inspeção",
    31: "UF/Município",
    57: "Serviços da Inspeção",
    69: "Qnt. de emissões na faixa",
    70: "Emissões não autorizadas/desc",
    71: "Procedimentos",
    89: "Classe da Inspeção",
    91: "Horas de Preparação",
    92: "Horas de Deslocamento",
    93: "Horas de Execução",
    94: "Horas de Conclusão",
    111: "SAV",
    112: "PCDP",
    151: "Uso de PF",
    154: "Ação de risco à vida criada?",
    156: "Frequência Inicial",
    157: "Unidade da Frequência Inicial",
    158: "Frequência Final",
    159: "Unidade da Frequência Final",
    170: "Latitude (coordenadas)",
    171: "Longitude (coordenadas)",
    213: "Agrupamento",
    280: "Utilizou algum Instrumento?",
    422: "Número Sei do Processo",
    450: "Impossibilidade acesso online?",
    463: "AppFiscaliza",
    534: "Gerar Relatório",
    535: "Relatório de Monitoramento",
    537: "Html",
    658: "Reservar Instrumentos?",
    659: "Reserva de Instrumentos",
    660: "Utilizou algum instrumento?"
}

HM2PROD = {537: 543, 534: 541, 535: 544}

FIELD2ID = {
    "Tipo de inspeção": 2,
    "Ano": 5,
    "Descrição da Inspeção": 22,
    "Fiscal Responsável": 25,
    "Fiscais": 26,
    "Entidade da Inspeção": 30,
    "UF/Município": 31,
    "Serviços da Inspeção": 57,
    "Qnt. de emissões na faixa": 69,
    "Emissões não autorizadas/desc": 70,
    "Procedimentos": 71,
    "Classe da Inspeção": 89,
    "Horas de Preparação": 91,
    "Horas de Deslocamento": 92,
    "Horas de Execução": 93,
    "Horas de Conclusão": 94,
    "SAV": 111,
    "PCDP": 112,
    "Uso de PF": 151,
    "Ação de risco à vida criada?": 154,
    "Frequência Inicial": 156,
    "Unidade da Frequência Inicial": 157,
    "Frequência Final": 158,
    "Unidade da Frequência Final": 159,
    "Latitude (coordenadas)": 170,
    "Longitude (coordenadas)": 171,
    "Agrupamento": 213,
    "Utilizou algum Instrumento?": 280,
    "Número Sei do Processo": 422,
    "Impossibilidade acesso online?": 450,
    "AppFiscaliza": 463,
    "Gerar Relatório": 534,
    "Relatório de Monitoramento": 535,
    "Html": 537,
    "Reservar Instrumentos?": 658,
    "Reserva de Instrumentos": 659,
    "Utilizou algum instrumento?" : 660
}

ESTADOS = [
    "AC",
    "AL",
    "AP",
    "AM",
    "BA",
    "CE",
    "ES",
    "GO",
    "MA",
    "MT",
    "MS",
    "MG",
    "PA",
    "PB",
    "PR",
    "PE",
    "PI",
    "RJ",
    "RN",
    "RS",
    "RO",
    "RR",
    "SC",
    "SP",
    "SE",
    "TO",
    "DF",
]